import { BatchWriteItemCommandInput as __BatchWriteItemCommandInput, BatchWriteItemCommandOutput as __BatchWriteItemCommandOutput, DeleteRequest, ItemCollectionMetrics, PutRequest, WriteRequest } from "@aws-sdk/client-dynamodb";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MiddlewareStack } from "@aws-sdk/types";
import { NativeAttributeValue } from "@aws-sdk/util-dynamodb";
import { DynamoDBDocumentClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DynamoDBDocumentClient";
export declare type BatchWriteCommandInput = Pick<__BatchWriteItemCommandInput, Exclude<keyof __BatchWriteItemCommandInput, "RequestItems">> & {
    RequestItems: {
        [key: string]: (Pick<WriteRequest, Exclude<keyof WriteRequest, "PutRequest" | "DeleteRequest">> & {
            PutRequest?: Pick<PutRequest, Exclude<keyof PutRequest, "Item">> & {
                Item: {
                    [key: string]: NativeAttributeValue;
                } | undefined;
            };
            DeleteRequest?: Pick<DeleteRequest, Exclude<keyof DeleteRequest, "Key">> & {
                Key: {
                    [key: string]: NativeAttributeValue;
                } | undefined;
            };
        })[];
    } | undefined;
};
export declare type BatchWriteCommandOutput = Pick<__BatchWriteItemCommandOutput, Exclude<keyof __BatchWriteItemCommandOutput, "UnprocessedItems" | "ItemCollectionMetrics">> & {
    UnprocessedItems?: {
        [key: string]: (Pick<WriteRequest, Exclude<keyof WriteRequest, "PutRequest" | "DeleteRequest">> & {
            PutRequest?: Pick<PutRequest, Exclude<keyof PutRequest, "Item">> & {
                Item: {
                    [key: string]: NativeAttributeValue;
                } | undefined;
            };
            DeleteRequest?: Pick<DeleteRequest, Exclude<keyof DeleteRequest, "Key">> & {
                Key: {
                    [key: string]: NativeAttributeValue;
                } | undefined;
            };
        })[];
    };
    ItemCollectionMetrics?: {
        [key: string]: (Pick<ItemCollectionMetrics, Exclude<keyof ItemCollectionMetrics, "ItemCollectionKey">> & {
            ItemCollectionKey?: {
                [key: string]: NativeAttributeValue;
            };
        })[];
    };
};

export declare class BatchWriteCommand extends $Command<BatchWriteCommandInput, BatchWriteCommandOutput, DynamoDBDocumentClientResolvedConfig> {
    readonly input: BatchWriteCommandInput;
    private readonly inputKeyNodes;
    private readonly outputKeyNodes;
    constructor(input: BatchWriteCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DynamoDBDocumentClientResolvedConfig, options?: __HttpHandlerOptions): Handler<BatchWriteCommandInput, BatchWriteCommandOutput>;
}
