import { DeleteItemCommandInput as __DeleteItemCommandInput, DeleteItemCommandOutput as __DeleteItemCommandOutput, ExpectedAttributeValue, ItemCollectionMetrics } from "@aws-sdk/client-dynamodb";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MiddlewareStack } from "@aws-sdk/types";
import { NativeAttributeValue } from "@aws-sdk/util-dynamodb";
import { DynamoDBDocumentClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DynamoDBDocumentClient";
export declare type DeleteCommandInput = Pick<__DeleteItemCommandInput, Exclude<keyof __DeleteItemCommandInput, "Key" | "Expected" | "ExpressionAttributeValues">> & {
    Key: {
        [key: string]: NativeAttributeValue;
    } | undefined;
    Expected?: {
        [key: string]: Pick<ExpectedAttributeValue, Exclude<keyof ExpectedAttributeValue, "Value" | "AttributeValueList">> & {
            Value?: NativeAttributeValue;
            AttributeValueList?: NativeAttributeValue[];
        };
    };
    ExpressionAttributeValues?: {
        [key: string]: NativeAttributeValue;
    };
};
export declare type DeleteCommandOutput = Pick<__DeleteItemCommandOutput, Exclude<keyof __DeleteItemCommandOutput, "Attributes" | "ItemCollectionMetrics">> & {
    Attributes?: {
        [key: string]: NativeAttributeValue;
    };
    ItemCollectionMetrics?: Pick<ItemCollectionMetrics, Exclude<keyof ItemCollectionMetrics, "ItemCollectionKey">> & {
        ItemCollectionKey?: {
            [key: string]: NativeAttributeValue;
        };
    };
};

export declare class DeleteCommand extends $Command<DeleteCommandInput, DeleteCommandOutput, DynamoDBDocumentClientResolvedConfig> {
    readonly input: DeleteCommandInput;
    private readonly inputKeyNodes;
    private readonly outputKeyNodes;
    constructor(input: DeleteCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DynamoDBDocumentClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteCommandInput, DeleteCommandOutput>;
}
