import { ExpectedAttributeValue, ItemCollectionMetrics, PutItemCommandInput as __PutItemCommandInput, PutItemCommandOutput as __PutItemCommandOutput } from "@aws-sdk/client-dynamodb";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MiddlewareStack } from "@aws-sdk/types";
import { NativeAttributeValue } from "@aws-sdk/util-dynamodb";
import { DynamoDBDocumentClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DynamoDBDocumentClient";
export declare type PutCommandInput = Pick<__PutItemCommandInput, Exclude<keyof __PutItemCommandInput, "Item" | "Expected" | "ExpressionAttributeValues">> & {
    Item: {
        [key: string]: NativeAttributeValue;
    } | undefined;
    Expected?: {
        [key: string]: Pick<ExpectedAttributeValue, Exclude<keyof ExpectedAttributeValue, "Value" | "AttributeValueList">> & {
            Value?: NativeAttributeValue;
            AttributeValueList?: NativeAttributeValue[];
        };
    };
    ExpressionAttributeValues?: {
        [key: string]: NativeAttributeValue;
    };
};
export declare type PutCommandOutput = Pick<__PutItemCommandOutput, Exclude<keyof __PutItemCommandOutput, "Attributes" | "ItemCollectionMetrics">> & {
    Attributes?: {
        [key: string]: NativeAttributeValue;
    };
    ItemCollectionMetrics?: Pick<ItemCollectionMetrics, Exclude<keyof ItemCollectionMetrics, "ItemCollectionKey">> & {
        ItemCollectionKey?: {
            [key: string]: NativeAttributeValue;
        };
    };
};

export declare class PutCommand extends $Command<PutCommandInput, PutCommandOutput, DynamoDBDocumentClientResolvedConfig> {
    readonly input: PutCommandInput;
    private readonly inputKeyNodes;
    private readonly outputKeyNodes;
    constructor(input: PutCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DynamoDBDocumentClientResolvedConfig, options?: __HttpHandlerOptions): Handler<PutCommandInput, PutCommandOutput>;
}
