import { AttributeValueUpdate, ExpectedAttributeValue, ItemCollectionMetrics, UpdateItemCommandInput as __UpdateItemCommandInput, UpdateItemCommandOutput as __UpdateItemCommandOutput } from "@aws-sdk/client-dynamodb";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MiddlewareStack } from "@aws-sdk/types";
import { NativeAttributeValue } from "@aws-sdk/util-dynamodb";
import { DynamoDBDocumentClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DynamoDBDocumentClient";
export declare type UpdateCommandInput = Pick<__UpdateItemCommandInput, Exclude<keyof __UpdateItemCommandInput, "Key" | "AttributeUpdates" | "Expected" | "ExpressionAttributeValues">> & {
    Key: {
        [key: string]: NativeAttributeValue;
    } | undefined;
    AttributeUpdates?: {
        [key: string]: Pick<AttributeValueUpdate, Exclude<keyof AttributeValueUpdate, "Value">> & {
            Value?: NativeAttributeValue;
        };
    };
    Expected?: {
        [key: string]: Pick<ExpectedAttributeValue, Exclude<keyof ExpectedAttributeValue, "Value" | "AttributeValueList">> & {
            Value?: NativeAttributeValue;
            AttributeValueList?: NativeAttributeValue[];
        };
    };
    ExpressionAttributeValues?: {
        [key: string]: NativeAttributeValue;
    };
};
export declare type UpdateCommandOutput = Pick<__UpdateItemCommandOutput, Exclude<keyof __UpdateItemCommandOutput, "Attributes" | "ItemCollectionMetrics">> & {
    Attributes?: {
        [key: string]: NativeAttributeValue;
    };
    ItemCollectionMetrics?: Pick<ItemCollectionMetrics, Exclude<keyof ItemCollectionMetrics, "ItemCollectionKey">> & {
        ItemCollectionKey?: {
            [key: string]: NativeAttributeValue;
        };
    };
};

export declare class UpdateCommand extends $Command<UpdateCommandInput, UpdateCommandOutput, DynamoDBDocumentClientResolvedConfig> {
    readonly input: UpdateCommandInput;
    private readonly inputKeyNodes;
    private readonly outputKeyNodes;
    constructor(input: UpdateCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DynamoDBDocumentClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateCommandInput, UpdateCommandOutput>;
}
